Bug 143831 - scsi driver 'initio' fails to deregister properly
scsi driver 'initio' fails to deregister properly
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-29 11:24 EST by Stig Hackvan
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stig Hackvan 2004-12-29 11:24:30 EST
Description of problem:

## /var/log >> rmmod initio
## stig/usul (pts/1) -- 1 jobs -- Wed Dec 29 -- 08:20:01 ##
## /var/log >> Dec 29 08:20:01 usul kernel: Initio INI-9X00U/UW SCSI
device driver; Revision: 1.04a did not call scsi_unregister
Dec 29 08:20:01 usul kernel:  [<f883ddb6>]
exit_this_scsi_driver+0x8c/0xcc [initio]
Dec 29 08:20:01 usul kernel:  [<c0139435>] sys_delete_module+0x132/0x179
Dec 29 08:20:01 usul kernel:  [<c015492c>] unmap_vma_list+0xe/0x17
Dec 29 08:20:01 usul kernel:  [<c0154cdb>] do_munmap+0x1c8/0x1d2
Dec 29 08:20:01 usul kernel:  [<c011923c>] do_page_fault+0x0/0x4dc
Dec 29 08:20:01 usul kernel:  [<c0302433>] syscall_call+0x7/0xb

Version-Release number of selected component (if applicable):

kernel 2.6.9-1.715_FC3 from updates-testing

How reproducible:

insmod the driver, then rmmod it.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Stig Hackvan 2005-01-31 01:13:33 EST
this problem still exists in 2.6.10-1.741_FC3
Comment 2 Dave Jones 2005-07-15 14:30:56 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:53:24 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.